protozero::unknown_pbf_wire_type_exception Struct Reference

`#include <exception.hpp>`

Inheritance diagram for protozero::unknown_pbf_wire_type_exception:
[legend]
Collaboration diagram for protozero::unknown_pbf_wire_type_exception:
[legend]

## Public Member Functions

const char * | what () const noexcept
| Returns the explanatory string.
Public Member Functions inherited from protozero::exception
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

This exception is thrown when the wire type of a pdf field is unknown. This should never happen unless the data is corrupted.

The documentation for this struct was generated from the following file:

- include/protozero/exception.hpp